BasicOntology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap
Class BasicOntology<O>

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.BasicOntology<O>

All Implemented Interfaces:
  Ontology<O>

Direct Known Subclasses:
  JENAOntology, OWLAPI3Ontology, OWLAPIOntology

    public class BasicOntology<O>

extends Object
implements Ontology<O>

Store the information regarding ontologies in a specific structure

Field Summary
`protected URI` | `file`
`protected String` | `formalism`
`protected URI` | `formalismURI`
`protected O` | `onto`
`protected URI` | `uri`

Constructor Summary
`BasicOntology()`

Method Summary
`URI` | `getFile()`
`String` | `getFormalism()`
`URI` | `getFormURI()`
`String` | `getFragmentAsLabel(URI u)`
`O` | `getOntology()`
`URI` | `getURI()`
`void` | `setFile(URI file)`
`void` | `setFormalism(String name)`
`void` | `setFormURI(URI u)`
`void` | `setOntology(O o)`
`void` | `setURI(URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uri

    protected URI uri

### file

    protected URI file

### formalismURI

    protected URI formalismURI

### formalism

    protected String formalism

### onto

    protected O onto

Constructor Detail

### BasicOntology

    public BasicOntology()

Method Detail

### getURI

    public URI getURI()

  Specified by:
    `getURI` in interface `Ontology<O>`

### getFile

    public URI getFile()

  Specified by:
    `getFile` in interface `Ontology<O>`

### getFormURI

    public URI getFormURI()

  Specified by:
    `getFormURI` in interface `Ontology<O>`

### getFormalism

    public String getFormalism()

  Specified by:
    `getFormalism` in interface `Ontology<O>`

### getOntology

    public O getOntology()

  Specified by:
    `getOntology` in interface `Ontology<O>`

### setURI

    public void setURI(URI uri)

  Specified by:
    `setURI` in interface `Ontology<O>`

### setFile

    public void setFile(URI file)

  Specified by:
    `setFile` in interface `Ontology<O>`

### setFormURI

    public void setFormURI(URI u)

  Specified by:
    `setFormURI` in interface `Ontology<O>`

### setFormalism

    public void setFormalism(String name)

  Specified by:
    `setFormalism` in interface `Ontology<O>`

### setOntology

    public void setOntology(O o)

  Specified by:
    `setOntology` in interface `Ontology<O>`

### getFragmentAsLabel

    public String getFragmentAsLabel(URI u)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010